# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from qt import QBrush, QPointArray
from qtcanvas import QCanvasPolygon

class CanvasPolygon(QCanvasPolygon):
    """General class for displaying canvas items"""

    def __init__(self, parent, points, color, canvas):

        QCanvasPolygon.__init__(self, canvas)

        self.points = points
        self.color = color
        
        self.pa = QPointArray(len(self.points))
        y = 0

        for point in self.points:
            self.pa.setPoint(y, point.x(), point.y())
            y += 1

        self.setPoints(self.pa)
        self.setBrush(QBrush(self.color))

        self.parent = parent
        self.type = "link"
        
        #self.setX(pos.x())
        #self.setY(pos.y())
        self.setZ(-1)
        
        self.show()
        
    def delete(self):
        self.setCanvas(None)
    
    def getParent(self):
        return self.parent
        
    def getType(self):
        return self.type
        
    def changeColor(self, color):
        if self.canvas():
            self.setBrush(QBrush(color))
            self.canvas().update()
                      

    

        
