# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from qt import QDialog, QGridLayout, QLabel, QPixmap, QPushButton, QSize
from qt import QSizePolicy, QSpacerItem, QTextBrowser, Qt, SIGNAL
from GUI.Pixmaps.Icons import Icons



class EventPopup(QDialog):


    def __init__(self, parent, event, modal=False):
        self.parent = parent
        self.event = event

        QDialog.__init__(self, self.parent)

        if hasattr(event, "getNode"):
            self.setCaption("SciCraft - Event - %s" % event.getNode().getName())
            
        else:
            self.setCaption("SciCraft - Event")
        
        self.image = QPixmap(Icons.warning)
        self.setIcon(self.image)
            
        self.layout = QGridLayout(self, 1, 1, 11, 6)
        
        self.textBrowser = QTextBrowser(self)
        
        self.layout.addMultiCellWidget(self.textBrowser, 1, 1, 0, 2)
        self.spacer1 = QSpacerItem(191, 20, QSizePolicy.Expanding,QSizePolicy.Minimum)
        self.layout.addItem(self.spacer1, 2, 2)
        self.spacer2 = QSpacerItem(171, 20, QSizePolicy.Expanding,QSizePolicy.Minimum)
        self.layout.addItem(self.spacer2, 2, 0)
        
        self.okButton = QPushButton(self)
        self.okButton.setText("OK")
        self.connect(self.okButton, SIGNAL("clicked()"), self.accept)
        self.layout.addWidget(self.okButton, 2, 1)
        
        self.label = QLabel(self)
        self.layout.addWidget(self.label, 0, 0)
        
        self.resize(QSize(482, 262).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)
        
        
        self.label.setText(self.event.get_event_class() + " " + self.event.getType())
        self.textBrowser.setText(self.event.getDescription())
        if modal:
            self.exec_loop()
        else:
            self.show()
        
