#-*- coding: utf-8 -*-
# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

"""Main module for 2d plot node."""

from GUI.guinode import GUINode
import qt

class GUIPlot2DNode(GUINode):
    def __init__(self, parent, node, event_server):
        GUINode.__init__(self, parent , node)
        try:
            from GUI.Nodes.guiplot2dnodeqwt import GUIPlot2DWindow
            
            parent_pos = parent.mapToGlobal(parent.viewport().pos())
            self._plot_window = GUIPlot2DWindow(parent, node, event_server,
                                                parent_pos)
        except ImportError, e:
            self._plot_window = None
            self._error = str(e)

    def nodeDialog(self):
        """Overridden from GUINode."""
        if self._plot_window:
            self._plot_window.show()
            self._plot_window.raiseW()
            if self._plot_window.isMinimized():
                self._plot_window.showNormal()
        else:
            qt.QMessageBox.warning(None, "Failed import",
                                   self._error)
