# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

import os
import qt
from Library.Util.Config import Config

"""Empty class, filled with data programatically filled by browsing icondirectory."""
class Icons:
    pass
    

valid_extensions = ['.xpm', '.png', '.gif']
# sort list, '.xpm' files are found first (needed by Windows)
ls = os.listdir(Config.iconsdir)
ls.sort()

def assign_binary_data(filename, filepath):
    binaryData = qt.QByteArray()
    binaryData.assign(open(filepath).read())
    setattr(Icons, filename[:-4], binaryData)    

for filename in ls:
    filepath = os.path.join(Config.iconsdir, filename)
    if not os.path.isfile(filepath):
        continue
    # using magic for-else
    for ext in valid_extensions:
        if filename.endswith(ext):
            break
    else:
        continue
    if hasattr(Icons, filename[:-4]):
        if filename.endswith('.png') and os.name != 'nt':
            # qt on windows does not support png
            assign_binary_data(filename, filepath)
    else:
        assign_binary_data(filename, filepath)
