# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from qt import QWidget

class Options(QWidget):
    """Superclass for all options widgets. Has some common
    variables and some nearly empty methods. However, all subclasses
    of this class, should call this class' methods in their overrided ones"""

    def __init__(self, optionsWindow, name = None):
        
        # self.widgetList = []
        self.optionsWindow = optionsWindow
        self.renderSetup = self.optionsWindow.renderSetup
        self.renderWindow = self.renderSetup.renderWindow
        self.name = name
            
        QWidget.__init__(self, optionsWindow, self.name)

    def buildWidget(self):
        pass
    
    def saveOptions(self):
        """Stores the configurable values to a permanent place.
        More specifically in the PlotConfig class."""
        pass
        
    def applyOptions(self):
        """Applies the current configration settings to the plot related
        to this specific options widget"""
        pass
    
    def allApplyOptions(self, renderWindows):
        pass

