# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from vtk import vtkInteractorStyleTrackballCamera
from GUI.Plots.interaction.InteractionMode import InteractionMode


class CameraMode(InteractionMode):
    """Makes sure mouse interacts with render window by moving camera."""

    def __init__(self, renderWindow):
        InteractionMode.__init__(self, renderWindow)
        self.interactorStyle = vtkInteractorStyleTrackballCamera()

    def mousePressed(self, x, y):
        """Mouse pressed at pixel position x,y. Returns True if event should be passed on."""
        # Ensure that interaction mode of renderWindow is camera mode.
        InteractionMode.mousePressed(self, x, y)
        self.renderWindow.SetInteractorStyle(self.interactorStyle)
        return True
