# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from qt import QSplashScreen, QColor, Qt, qApp, QPixmap
from Library.Util.Config import Config
import os

class SciCraftSplash:
    def __init__(self):
        path = os.path.join(Config.iconsdir, "splash.png")
        pixmap = QPixmap(path)
        self._splash = QSplashScreen(pixmap)
        self._text_color = QColor(28, 89, 139)
        self._splash.show()        

    def display_message(self, message):
        self._splash.message(message, Qt.AlignBottom | Qt.AlignCenter,
                             self._text_color)
        # handle events, so mouseclicks can remove screen
        qApp.processEvents()

    def hide(self):
        self._splash.hide()


class DummySplash:
    """Drop-in replacement of splash screen that does nothing."""
    def display_message(self, message):
        pass

    def hide(self):
        pass
