# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from System.Data import Data
from System.Data import Node

class InspectMetaNode(Node.Node):

    def __init__(self, name):
        Node.Node.__init__(self,name)
        self.description = "Node used for testing only. "
        self.description += "\nIt inspects the MetaSpecial and MetaInternal "
        self.description += "fields of a Data object.\n"

        self.runNumber = 1

        self.create_input_port("Data1","", "")
        

    def execute(self):
        output = "This node presents the MetadataSpecial "
        output += " and MetadataInternal fields of a Data object.\n"
        self.runNumber += 1
        for port in self.inPorts:
            output += "\nPort: %s"%port.getName()
            data = port.getData()
            if data:
                output += self._inspect_meta(data)
        self._postEvent("INFO", output)

        Node.Node.execute(self)
        
    def _inspect_meta(self, data, ind = "\n"):
        output = ""
        output += ind + "Data name: %s"%data.getName()
        #try:
        #    output += "\n\nMeta1: " + str(data.getMetadata())
        #except Exception, e:
        #    print e, "Feilet paa Meta1"
        try:
            tmp = data.getMetadataSpecial()
            if tmp:
                output += ind + "MetaSpecial: "
                ind += "\t"
                output += self.__field(ind, tmp, data)
                ind = ind[:-1]
            else:
                output += ind + "MetadataSpecial: No data."
        except Exception, e:
            print e ,"MetaSpecialException!!\n"
        try:
            tmp = data.getMetadataInternal()
            if tmp:
                output += ind + "MetaInternal: " + str(tmp)
            else:
                output += ind + "MetadataInternal: No data."
        except Exception, e:
            print e, "MetaInternalException!!\n"
        output += "\n"
        return output

    def __field(self, ind, place, data):
        output = ""
        if type(place) == type(dict()):
            for g in place:
                output += ind + str(g) + " " + str(type(place[g]))
                ind += "\t"
                output += self.__field(ind , place[g], data)
                ind = ind[:-1]
        elif type(place) == type(data):
            output += " " + str(place.getName())
            tempdata = place.getData()
            if len(tempdata) < 20:
                output += ind + str(place.getData())
            else: 
                output += ind + str(place.get_data_info())
        elif type(place) == type(list()):
            for j in place:
                if type(j) == type(data):
                    output += ind + str(type(j)).rstrip()
                    output += " " + str(j.getName())
                    ind += "\t"
                    output += ind + str(j.get_data_info())
                    output += self._inspect_meta(j, ind)
                    ind = ind[:-1]
                else:
                    output += ind + str(j)
        else:
            output+= ind + str(place)
        return output
