# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

import types

from System.Data import Data
from System.Data import Node

class TestNode(Node.Node):

    def __init__(self, name):
        Node.Node.__init__(self,name)

        #self.func = func

        self.description = "Node used for testing only."
        self.create_input_port("input", "", "")
        self.create_output_port("output", "", "")

        self.create_parameter("Factor","Float","Factor to multiply with",default = 1,min=0,max=10)

        
    def execute(self):

        func = self.getParameters()[0].getValue()
        data = self.inPorts[0].getData().data
        name = self.inPorts[0].getData().name

        if type(data) == types.ListType:
            if type(data[0] == types.ListType):
                for x in range(0, len(data)):
                    for y in range(0, len(data[x])):
                               data[x][y] = data[x][y] * float(func)
            else:
                data[0] = data[0] * float(func)
        else:
            data = data * float(func)
        
        self.outPorts[0].setData(Data.Data(name, data))

        return Node.Node.execute(self)
