# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from System.Data.Data import Data
from System.Data.Node import Node
# TODO: Extend with type-declaring. User declares what kind of data the parameter should be. Try casting etc.
class ParamNode(Node):

    def __init__(self, name):
        Node.__init__(self,name)

        self.description = "Node used to send a parameter."
        self.create_output_port("output","-", "-")

        self.nodeRepName = "TestNodes.ParamNode"

    def execute(self):
        paramlist = self.getParameters()
        paramnum = 0
        for param in paramlist:
            param = param.getValue()
                
            try:
                param = int(param) # THIS IS NOT A GOOD SOLUTION.
            except:
                pass
            self.outPorts[paramnum].setData(Data("variable",param))
            paramnum =+ 1
        Node.execute(self)

    def create_output_port(self, variableName, validType="", description="", options="NA"):
        """Automagically adds a parameter object for each."""
        ports = len(self.getOutputPorts())
        port = Node.create_output_port(self, variableName, validType, description)
        if ports != len(self.getOutputPorts()):
            number = str(len(self.getParameters()))
            self.create_parameter("Output nr " + str(number), "Integer",
                                  "Value of Output " + str(number),default = 1)
        return port

