# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from System.Data import Data
from System.Data import Node

class ScreenDumpNode(Node.Node):

    def __init__(self, name):
        Node.Node.__init__(self,name)
        self.description = "Node used for testing only."

        self.runNumber = 1

        self.create_input_port("Data1","", "")

        self.nodeRepName = "TestNodes.ScreenDumpNode"
        

    def execute(self):
        output = ""

        output += "\n--- run %s ---"%self.runNumber

        self.runNumber += 1
        
        for port in self.inPorts:
            output += "\nPort: %s"%port.getName()

            data = port.getData()
            if data:
                output += "\nData name: %s"%data.getName()
                output += "\nValue: %s"%data.getData()
                output += "\n"

        self._postEvent("INFO",
                        "Output from screendump:" + output)

        Node.Node.execute(self)

