# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.


import sys, time, re, os
from Library.Util.Config import Config

if not os.path.exists(Config.userconfigdir):
    os.mkdir(Config.userconfigdir)
file = open(os.path.join(Config.userconfigdir, "scicraft.log"), "w")

class Logging:

    def __init__(self):
        if Config.logging:
            sys.oldstderr = sys.stderr #lets keep the old stderr
            sys.stderr = self
            

    def write(self, message):
        
        timestamp = time.strftime("[%Y/%m/%d-%H:%M:%S]")

        # need to find out of this is the first message or not
        # look for the start of the line "Traceback (most recent call last):"
        if message.find("Traceback (most") != -1:
            file.write(os.linesep + timestamp + " " + message)
        else:
            file.write(message)

        if Config.printError:
            print message,
