# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

""" Contains various methods usefull when parsing text """

from exceptions import ValueError
from Numeric import array

# convience method for converting something to int, when default is known. Returns int or default.
def toInt(object, default=False):
    try:
        return int(str(object))
    except ValueError:
        return default

# convience method for asserting wether text is meant to be True or False. Returns Bool.
def isTrue(text,variants=["True","1"],case_sensitive=False):
    if case_sensitive:
        return str(text) in variants        
    else:
        return str(text).lower() in [el.lower() for el in variants]

# calls convert_doublelist. If a single list is encountered it is wrapped in []
def convert(something):
    if isinstance(something,list) and len(something)>0:
        if isinstance(something[0],list):
            convert_doublelist(something)
        else:
            convert_doublelist([something])
    else:
        # invalid input, raise exception?
        pass


# attempts to convert the contents inside 'list within lists' first to int, then float and finally to str.
def convert_doublelist(list):   
    def conv(list,conv_method):
        for x in xrange(len(list)):
            for y in xrange(len(list[x])):
                list[x][y] = conv_method(list[x][y])
    try:
        conv(list,int)
    except ValueError:
        try:
            conv(list,float)
        except ValueError:
            conv(list,str)

def isNumberInstance(foo):
    if isinstance(foo,int) or isinstance(foo,long) or isinstance(foo,float):
        return True
    return False

# bit of a no-brainer, but included for consistancy
def isStringInstance(foo):
    return isinstance(foo,str)
