# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from bisect import bisect

def count_data(data, bins):
    """Counts data bins.

    Returnes a list with the count of the elements in the list data.
    Interval determins how many bins these should be."""

    data.sort()
    min_ = data[0]
    max_ = data[-1]
    interval = (max_-min_)/float(bins)
    bin_list = []
    for x in range(bins-1):
        top = round(min_ + interval,10)
        i = bisect(data, top)
        data = data[i:]
        bin_list.append(i)
        min_ += interval

    # let last bin grab the rest
    bin_list.append(len(data))
        
    return bin_list
