# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.


from System.Data.Node import Node

class Plot3DNode(Node):
    """
    A PlotNode sends it data from the input port to the GUI for plotting, and
    puts command data suitable for an EditNode on its (only) output port."""

    def __init__(self, name, type):
        """Params:
            - name : String - the name of this node object
        """
        Node.__init__(self, name)
        self.plotType = type

    def execute(self):
        """Executes this node."""
        Node.execute(self)

    def getPlotType(self):
        return self.plotType

    def toXML(self):
        self.nodeRepName = "PlotNodes.Plot3DNode:Plot3D"
        return Node.toXML(self)
