# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002-2005 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.


class EventServer:
    """Subscribable server for receiving and dispatching events."""

    
    def __init__(self):
        self.eventHandlers = {}
    
    
    def sendEvent(self, event):
        """This method is used to signal Events to registered eventhandlers.
            
            Params:
                event  : Event-instance (or some class extending Event)
        """
        # NOT FINISHED!
        # Suggestion. Keep a dictionary with some sort of event-describing keys
        # to lists of listeners. No need for all listeners to receive all 
        # events.

        if not self.eventHandlers:
            return          

        for handler in self.eventHandlers:
            try:
                handler(event)
            except SystemExit:
                # In case the handler tries to stop this thread...
                # Should not happen, but it is a common programming error.
                continue


    def addEventHandler(self, handler):
        """Adds an event handler that will be called when an event is sent"""

        self.eventHandlers[handler] = handler
        return (1, "")	

