#!/usr/bin/python

# SciCraft - An interactive graphics front end to advanced data mining
# Copyright (C) 2002, 2003, 2004 SciCraft Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# As a special exception, SciCraft Development Team gives permission
# to link this program with  Qt non-commercial edition, and distribute
# the resulting executable, without including the source code for the
# Qt non-commercial edition in the source distribution.

from System.Data.Data import Data
from System.FileHandlers.Input.FileReader import FileReader
from Library.Util import matfile

class MatFileReader(FileReader):
    """ This class is able to read data in mat-format from a file"""
    
    supportedFileExtensions = ["mat"]
    description = "Matlab file format."
    variable_name_support = True
    fileDescription = "Matlab"
    name = "MatFileReader"

    def __init__(self):
        """Constructor for creating an MatFileWriter-object"""
        FileReader.__init__(self)
        
    def read_data(self, sourcePath):
        data_dict = matfile.read(sourcePath)
        data_set = []
        for name, data in data_dict.items():
            data_set.append(Data(name, data))                    
        return data_set

 
        
                
        

        
        
