lda2 <- function(Xin,yin)
{
library(MASS)
source('list2matrix.R')

X <- list2matrix(Xin)
y <- list2matrix(yin)

#Compute classification rule
lda.rule <- lda(X,y)

#Compute calibration error
pred.lda <- predict(lda.rule,X)$class

pred.correct <- (y==pred.lda)
cal.error <- round(100*(1-mean(pred.correct)),1)

#Compute prediction error using crossvalidation
y.pred <- NULL
y.true <- NULL

for (i in seq(1,length(y)))
   {
    X.cal <- X[-i,]
    y.cal <- y[-i]
    X.pred <- X[i,]
    
    X.lda <- lda(X.cal,y.cal)
    y.pred[i] <- predict(X.lda,X.pred)$class[[1]]

    y.true[i] <- y[[i]]
   }

pred.error=round(100*(1-mean(y.pred==y.true)),1)


return(list(rule=lda.rule,calerror=cal.error,prederror=pred.error))
}
