pcaqda <- function(Xin,yin)
{
library(MASS)

source("list2matrix.R")

X <- list2matrix(Xin)
y <- list2matrix(yin)


########### Find maximum number of principal components ########
#The maximum is manually set to 10 unless the 
#dimensions of X is even smaller.
nr.row <- length(X[,1])
nr.col <- length(X[1,])

a.max <- min(nr.row,nr.col)

if (a.max>20)
  {
   a.max <- 20
  }

####################### Optimal number #########################
#Find optimal number components using crossvalidation

pred.error.cross <- 100
for (i in seq(2,a.max))
{
   y.pred <- NULL
   y.true <- NULL
   
   for (j in seq(1,length(y)))
       {
        #Make calibration samples
	X.cal <- X[-j,]
	y.cal <- y[-j]
	X.pred <- X[j,]

	#Perform PCA
	a.inner <- svd(X.cal)
	T.inner <- (a.inner$u %*% diag(a.inner$d))[,1:i]
	P.inner <- (a.inner$v)[,1:i]

	#Compute classification rule
	qda.rule.inner <- qda(T.inner,y.cal)
	
	#Perform classification
	T.inner.pred <- X.pred %*% P.inner[,1:i]
	y.pred[j] <- predict(qda.rule.inner,T.inner.pred)$class[[1]]
	y.true[j] <- y[[j]]
	
       }
   pred.error=round(100*(1-mean(y.pred==y.true)),1)
   pred.error.cross[i] <- pred.error
}

#Find the optimum number of PCs. Really stupid code. 
min.i <- min(pred.error.cross)

for (i in seq(1,a.max))
{
 if (pred.error.cross[i]==min.i)
    { 
     A.opt <- i
     break
    }
}

pred.error2 <- pred.error.cross[A.opt]

########## Decompose matrix into scores and loadings ###########
a <- svd(X)

T <- a$u %*% diag(a$d)[,1:i]
P <- a$v[,1:i]

######################### Main analysis ###########################

qda.rule <- qda(T,y)

#Compute calibration error
pred.qda <- predict(qda.rule,T)$class

pred.correct <- (y==pred.qda)
cal.error <- round(100*(1-mean(pred.correct)),1)

return(list(rule=qda.rule,loadings=P,calerror=cal.error,prederror=pred.error2))
}
