qda2 <- function(Xin,yin,Xtestin)
{
library(MASS)

source("list2matrix.R")

X <- list2matrix(Xin)
Xtest <- list2matrix(Xtestin)
y <- list2matrix(yin)


#Compute classification rule
qda.rule <- qda(X,y)

#Compute calibration error
pred.qda <- predict(qda.rule,X)$class

pred.correct <- (y==pred.qda)
cal.error <- round(100*(1-mean(pred.correct)),1)

#Compute prediction error using crossvalidation
y.pred <- NULL
y.true <- NULL

for (i in seq(1,length(y)))
   {
    X.cal <- X[-i,]
    y.cal <- y[-i]
    X.pred <- X[i,]
    
    X.qda <- qda(X.cal,y.cal)
    y.pred[i] <- predict(X.qda,X.pred)$class[[1]]

    y.true[i] <- y[[i]]
   }

pred.error=round(100*(1-mean(y.pred==y.true)),1)


######### performing prediction on new objects #########
source("pred2.R")		     # Loading function for prediction
qda.pred <- pred2(qda.rule,Xtest) # I am pretending that the

u <- data.frame(qda.pred)

return(list(rule=qda.rule,calerror=cal.error,prederror=pred.error,predobj= u[,1]))
}
