######################### LOAD DATA #################################
#Load data file 
load("cushings.dat")

#The data file consists of two variables; cushings and type.
#To simplify the code, the standard chemometric notation with X and y
#is used.  

X <- cushings
y <- type

####################### LDA ANALYSIS ##############################

source("lda2.R")		     # Loading function
lda.object <- lda2(cushings,type)    # Find rule

lda.rule <- lda.object$rule	     # Give the rule its own variable
				     # name

source("pred2.R")		     # Loading function for prediction
lda.pred <- pred2(lda.rule,cushings) # I am pretending that the
				     # calibration set is a test set

#lda.pred now contains the predicted classes.  


####################### QDA ANALYSIS ##############################

source("qda2.R")		     # Loading function
qda.object <- qda2(cushings,type)    # Find rule

qda.rule <- qda.object$rule	     # Give the rule its own variable
				     # name

source("pred2.R")		     # Loading function for prediction
qda.pred <- pred2(qda.rule,cushings) # I am pretending that the
				     # calibration set is a test set

#qda.pred now contains the predicted classes.  

####################### kNN analysis ################################

#source("knn2.R")		     #Loading function
#knn.object <- knn2(X,y,3)	     #Perform k-NN analysis with k=3.

#An alternativ way of using knn2 is to also include a test set
#knn.object2 <- knn2(X,y,X,3)	    #Imagening that X is a test set. 

#The output from knn2 is a list where the predicted classes,
# calibration error and prediction error are saved. In the case, where
# no test set is given, "NULL" is returned. 

##################### pcalda analysis ##############################

source("pcalda.R")		      #Loading function
pcalda.object <- pcalda(X,y)	      #Perform pcalda analysis

#Saving the output as separate variables for clarification.
pcalda.rule <- pcalda.object$rule	     #The rule
pcalda.loadings <- pcalda.object$loadings    #The loadings
pcalda.calerror <- pcalda.object$calerror    #The calibration error
pcalda.prederror <- pcalda.object$prederror  #The prediction error

#Perform prediction, again pretending that X is also a test set
source("pcapred.R")
pcalda.pred <- pcapred(pcalda.rule,pcalda.loadings,X)

##################### pcaqda analysis ##############################

source("pcaqda.R")		      #Loading function
pcaqda.object <- pcaqda(X,y)	      #Perform pcaqda analysis

#Saving the output as separate variables for clarification.
pcaqda.rule <- pcaqda.object$rule	     #The rule
pcaqda.loadings <- pcaqda.object$loadings    #The loadings
pcaqda.calerror <- pcaqda.object$calerror    #The calibration error
pcaqda.prederror <- pcaqda.object$prederror  #The prediction error

#Perform prediction, again pretending that X is also a test set
source("pcapred.R")
pcaqda.pred <- pcapred(pcaqda.rule,pcaqda.loadings,X)
