# File to test different R commands to be used in the exercise with 
# supervised classification. 

library(MASS)
library(class)

##################### Generating data set ################
Cushings2=Cushings[1:21,]
Cushings2$Type = Cushings2$Type[drop=T]
cush <- log(as.matrix(Cushings2[,-3]))
type <- Cushings2$Type

#Exporting data to suitable data files for usage in Scicraft

cushings <- cush
save(cushings,type,file="cushings.dat")


################ Performing lda analysis ##################
cush.lda <- lda(cush,type)

#Compute calibration error
pred.lda <- predict(cush.lda,cush)$class

a <- (type==pred.lda)
cal.error <- sum(a)/length(a)

#Compute prediction error using crossvalidation

y.pred <- NULL
y.true <- NULL


for (i in seq(1,length(type)))
   {
    X.cal <- cush[-i,]
    y.cal <- type[-i]
    X.pred <- cush[i,]
    
    X.lda <- lda(X.cal,y.cal)
    y.pred[i] <- predict(X.lda,X.pred)$class[[1]]

    y.true[i] <- type[[i]]
   }

pred.error=mean(y.pred==y.true)


################ Performing kNN analysis ####################



