CompEffects <- function(design,responsevariable,formula)
{

formula <- as.formula(formula)

design2 <- design

#Add a extra column in the design matrix which is the responsevariable.
char.form <- as.character(formula)
response.name <- char.form[2]

nr.factor <- length(design)

tmp <- c("design","$",response.name,"<-","responsevariable")
tmp2 <-  paste(tmp,collapse="")
eval(parse(text=tmp2))


lm.res <- lm(as.formula(formula),design)
aov.res <- anova(lm.res)

#Find experiments which are replicates, BAD IMPLEMENTATION
dup.des <- duplicated(design[,1:length(design)-1])
tmp.dup.des <- design[dup.des,1:length(design)-1]
uni.dup.des <- unique(tmp.dup.des)

#Initiate vector where the SS_PE is saved
SS.PE <- 0

#Initiate degree-of-freedom vector
df.PE <- 0

#Goes through each of the experimental settings which are present as duplicates and saves the y-values in a vector. 
for (i in 1:length(uni.dup.des[,1]))
 {
 #Initiate vector to save the replicate values
  rep.vector <- NULL
  k <- 1  #Index to keep order of the replicates

  tmp.comb <- uni.dup.des[1,]
  #remove names which may cause problems 
  dimnames(tmp.comb)[[1]] <- 1

  for (j in 1:length(responsevariable))
   {
    #Take out the jth row in the design matrix
    tmp.design <- design[j,1:3]
    dimnames(tmp.design)[[1]] <- 1
    #Compare to see if it is a replicate
    if (identical(tmp.design,tmp.comb))
     {
      #Save the replicate in the rep.vector
      rep.vector[k] <- responsevariable[j]
      k <- k+1
     } # endif
   } #endfor
  SS.PE <- SS.PE <- sum((rep.vector-mean(rep.vector))^2) 
  df.PE <- df.PE + length(rep.vector)-1
}#endfor

#Calculate SS.LOF and df.LOF
SS.LOF <-  aov.res$Sum[length(aov.res$Sum)]-SS.PE
df.LOF <-  aov.res$Df[length(aov.res$Df)]-df.PE

#Calculate the F-value between LOF and PE.
F.calc <- (SS.LOF/df.LOF)/(SS.PE/df.PE)
p.verdi <- 1-pf(F.calc,df.LOF,df.PE)

AnovaData <- list(aov.res,p.verdi)

print(summary(lm.res))

#Putting all information in a list struqture, a little clumpsy solution but it works for our purposes
MlrData <- list(lm.res,AnovaData)

#Make output variables necessary for normal probablility plot
c1 <- lm.res$coeff
c2 <- c1[!is.na(c1)]

if (names(c2[1])=="(Intercept)")
{
c3 <- c2[2:length(c2)]
}
else
{
c3 <- c2
}

NamesEffects <- names(c3)
Effects <- as.vector(c3)

return(list(MlrData=MlrData,Effects=Effects,NamesEffects=NamesEffects))
}
