mlr <- function(x,y,formula)
{
#Fix the input formula
#print(formula)

c <- lm(as.formula(formula))

#Take out regression coefficients

#First we need to check whether the model has a baseline
b0 <- c$coeff[1]

if (names(b0)=="(Intercept)")
{
b.rest <- c$coeff[2:length(c$coeff)]
}
else
{
b0 <- 0
b.rest <- c$coeff
}


x2 <- seq(x[1],x[length(x)],length=250)
y2 <- b0

for (i in seq(1,length(b.rest)))
{
#Find what power the coefficient corresponds to
b.rest.tmp <- names(b.rest)[[i]]
b.power.tmp <- strsplit(b.rest.tmp,'^',fixed=TRUE)[[1]]

if (length(b.power.tmp)==1)
{
b.power <- 1
}
else
{

#Calculate estimated y-values
b.power <- strsplit(b.power.tmp[[2]],')',fixed=TRUE)[[1]]
b.power <- as.numeric(b.power)
}

y2 <- y2 + b.rest[i]*x2^b.power

}

print(c)

#Estimate residuals
yhat <- as.vector(predict(c))
residuals <- as.vector(y-yhat)

return(list(mlrdata=c,x2=x2,y2=y2,yhat=yhat,residuals=residuals))
}
