function [y,pl] = CompressionFactor(w)
% [y,pl] = CompressionFactor(w)
% function that return an entropy value which
% tells about the way it compresses the data vector
%
%
% INPUT VARIABLE
%
% w               = vector wavelet coefficients
%
% OUTPUT VARIABLES
% 
% y               = the compression factor
% pl              = vector to be plotted
%
% Copyright(C), B.K. Alsberg, The SciCraft Team, www.scicraft.org
% Last update: 8/3-06
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; either version 2
% of the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
%

% Old code:
%u = reverse(cumsum(sort(w.^2)));
u = fliplr(cumsum(sort(w.^2)));
N = length(u);
u2 = log10(u(1:N/2));
%u3 = mynormspec(u2,1);
%y = entropy(u3);

y = sum(u2);

% now we ensure that the pl vector is a row vector

[n,m]=size(u2);
if n>m,
   pl = u2';
else
   pl = u2;
end;




