function [FreQSpec,AC,FullComPlexSpectrum] = FFT1D_rows(X)



% $$$ ##[FreQSpec,AC,FullComPlexSpetrum] = FFT1D_rows(X)
% $$$ ##Performs 1D Fourier transform of each row in X. 
%
% $$$ ##INPUT VARIABLE
%
% $$$ ##X                   = input data matrix X to be FFT ed
%
% $$$ ##OUTPUT VARIABLES
%
% $$$ ##FreQSpec            = Matrix:Frequency spectrum of each row in X
% $$$ ##AC                  = Vector:AC component of each row
% $$$ ##FullComPlexSpetrum  = Matrix: Raw outputs from SciCraft fft(x)
% $$$ ##                      routine. This is a complex matrix
%
% $$$ ##Copyright (C), B.K. Alsberg, bka@phys.chem.ntnu.no
% $$$ ##Last update: 25/6-2004
%
% $$$ ## This file is part of SciCraft.
% $$$ ##
% $$$ ## SciCraft is free software; you can redistribute it and/or modify it
% $$$ ## under the terms of the GNU General Public License as published by
% $$$ ## the Free Software Foundation; either version 2, or (at your option)
% $$$ ## any later version.
% $$$ ##
% $$$ ## SciCraft is distributed in the hope that it will be useful, but
% $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
% $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% $$$ ## General Public License for more details.
% $$$ ##
% $$$ ## You should have received a copy of the GNU General Public License
% $$$ ## along with SciCraft; see the file COPYING.  If not, write to the Free
% $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
% $$$ ## 02111-1307, USA.
% $$$ 
% $$$ ## -*- texinfo -*-

[n,m] = size(X);

for i = 1:n
  [FreQSpec(i,:),AC(i,1),FullComPlexSpectrum(i,:)] = ...
      FourierTransform1D(X(i,:));
end;



