KMeansClustering <- function(Xin,noclusters,iter,rows) {


#Performes a K-Means clustering on a data matrix.

# INPUT VARIABLES
# Xin -        matrix containing the data
# noclusters - integer specifying the number of clusters
# iter -       integer specifying the max number of iterations
# rows -       String specifying if you want to cluster over rows or
#                columns of the matrix.

# OUTPUT VARIABLES
# kmeans - R object with the following components:
#             cluster: A vector of integers indicating the cluster to
#                      which each point is allocated. 
#             centers: A matrix of cluster centres.
#             withinss: The within-cluster sum of squares for each cluster.
#             size: The number of points in each cluster.
# X      - Input data matrix, transposed if rows equals "columns"
#  
# Copyright(C), Jon Strom The SciCraft Team, www.scicraft.org
#Last update: 18/3-06


# $$$ ## This file is part of SciScraft.
# $$$ ##
# $$$ ## SciScraft is free software; you can redistribute it and/or modify it
# $$$ ## under the terms of the GNU General Public License as published by
# $$$ ## the Free Software Foundation; either version 2, or (at your option)
# $$$ ## any later version.
# $$$ ##
# $$$ ## SciScraft is distributed in the hope that it will be useful, but
# $$$ ## WITHOUT ANY WARANTY; without even the implied warranty of
# $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# $$$ ## General Public License for more details.
# $$$ ##
# $$$ ## You should have received a copy of the GNU General Public License
# $$$ ## along with R; see the file COPYING.  If not, write to the Free
# $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# $$$ ## 02111-1307, USA.
# $$$ 
# $$$ ## -*- texinfo -*-


  X <- as.matrix(Xin)
  if(rows == "cluster columns"){
    X = t(X)
  }  
  temp <- kmeans(X,noclusters,iter)  
  return(list(kmeans=temp,X=X))
  
  #return(list(kout=tmp))


}
