LinearDiscrimPrediction <- function(rule,Xin) {
#Performes prediction on a classification rule
#made by LDA.

# INPUT VARIABLES
# rule -       The classification rule made from
#              LinearDiscriminantAnalysis, i.e the R object return from LDA.
#              
# Xin -        data frame of cases to be classified or, if 'object' has a
#              formula, a data frame with columns of the same names as the
#              variables used.  A vector will be interpreted as a row
#              vector.  If newdata is missing, an attempt will be made to
#              retrieve the data used to fit the 'lda' object.
      

# OUTPUT VARIABLES
# predobjects -Vector containing the predicted classes of the input
# data matrix
#  
# Copyright(C), Endre Anderssen, The SciCraft Team, www.scicraft.org
#Last update: 19/3-06


# $$$ ## This file is part of SciScraft.
# $$$ ##
# $$$ ## SciScraft is free software; you can redistribute it and/or modify it
# $$$ ## under the terms of the GNU General Public License as published by
# $$$ ## the Free Software Foundation; either version 2, or (at your option)
# $$$ ## any later version.
# $$$ ##
# $$$ ## SciScraft is distributed in the hope that it will be useful, but
# $$$ ## WITHOUT ANY WARANTY; without even the implied warranty of
# $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# $$$ ## General Public License for more details.
# $$$ ##
# $$$ ## You should have received a copy of the GNU General Public License
# $$$ ## along with R; see the file COPYING.  If not, write to the Free
# $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# $$$ ## 02111-1307, USA.
# $$$ 
# $$$ ## -*- texinfo -*-

  library(MASS)
  X <- as.matrix(Xin)
  tmp <- predict(rule,X)$class
  tmp2 <- as(tmp,"integer")
  return(list(predobjects=tmp2))
}
