function outmatrix= RightShift(inmatrix)
% RightShift -- Shift right matrix, the last column is moved to the first.
%  Usage
%    outmatrix= RightShift(inmatrix);
%  Inputs
%    inmatrix
%  Outputs
%    outmatrix  
%  Examples
%    Test_RightShift.m
%  See Also
%    aconv2

[rows cols] = size(inmatrix);
outmatrix = zeros(rows, cols);
outmatrix(:,1) = inmatrix(:,cols);
outmatrix(:,2:cols) = inmatrix(:,1:(cols-1));

%
% Copyright (c) 1996. Xiaoming Huo
% 
    
    
%   
% Part of WaveLab Version 802
% Built Sunday, October 3, 1999 8:52:27 AM
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail wavelab@stat.stanford.edu
%   
    
