% WaveLab Main Directory, Version 802
%
% This is the main directory of the WaveLab package; the full package
% contains over 1300 files, consisting of .m files, .mex files and datasets.
%
%              .m files in this directory
%
%   Contents.m          -    This file
%   startup.m           -    Sample Startup file
%   WavePath.m          -    Sets up global variables and pathnames
%   InstallMEX.m        -    Install MEX files
%
%              Subdirectories
%
%   Biorthogonal/       -    Bi-Orthogonal Wavelet Transform tools
%   Books               -    figures for books
%     /WaveTour         -    Figures of the book "A Wavelet Tour of Signal Processing"
%   Browsers/           -    WaveLab Browsers
%     /One-D            -    One-D Signal Browser
%     /WaveTour         -    Figures of the book "A Wavelet Tour of Signal Processing"
%   Continuous/         -    Continuous Wavelet Transform tools
%   Datasets/           -    Data for use with WaveLab
%   DeNoising/          -    Wavelet Shrinkage tools
%   Documentation/      -    System-Wide Documentation
%   FastAlgorithms/     -    Tools for Fast Algorithms
%   Fractals/           -    Fractal Analysis
%   Interpolating/      -    Refinement schemes & Bi-Orthogonal Wavelet Transforms
%   Invariant/          -    Invariant Wavelet Transform tools
%   Median/             -    Median Interpolating Pyramid Transform Tools
%   MEXSource/          -    c reservoir for mex files.
%   Meyer/              -    Periodic Meyer Wavelet Transform tools
%   Orthogonal/         -    Standard Orthogonal Wavelet Transforms
%   Packets/            -    Wavelet Packets, Cosine Packets, Best Basis Algorithm
%     /One-D            -    1-d Wavelet Packets, Cosine Packets, Best Basis
%     /Two-D            -    2-d Wavelet Packets, Cosine Packets, Best Basis
%   Pursuit/            -    Matching Pursuit in Wavelet Packet/Cosine Packet Dict.
%   Stationary/         -    Stationary Wavelet Transform tools
%   TimeFrequency/      -    Time-Frequency Distribution Tools
%   Utilities/          -    System-Wide scripting utilities
%
%   Papers/             -    Scripts recreating figures in published articles:
%
%     /Adapt            -    figures for ``Adapting to Unknown Smoothness via 
%                                          Wavelet Shrinkage''
%     /Asymp            -    figures for ``Wavelet Shrinkage: Asymptopia?'' 
%     /Blocky           -    figures for ``Smooth Wavelet Decompositions with 
%                                          Blocky Coefficient Kernels''
%     /Correl           -    figures for ``Wavelet Threshold Estimators for 
%                                          Data with Correlated Noise''
%     /Ideal            -    figures for ``Ideal Spatial Adaptation via
%                                          Wavelet Shrinkage''
%     /MinEntSeg        -    figures for ``On Minimum Entropy Segmentation''
%     /MIPT             -    figures for ``Nonlinear Wavelet Transforms
%                                          based on Median-Interpolation'' 
%     /RiskAnalysis     -    figures for ``Exact Risk Analysis of Wavelet Regression''
%     /ShortCourse      -    figures for ``Nonlinear Wavelet Methods for Recovery  
%                                          of Signals, Densities, Spectra and
%                                          Images from Incomplete and Noisy Data''
%     /SpinCycle        -    figures for ``Translation-Invariant De-Noising''
%     /Tour             -    figures for ``Wavelet Shrinkage and W.V.D. 
%                                          -- a Ten-Minute Tour''
%     /VillardDeLans    -    figures for ``WaveLab and Reproducible Research''
%
%   Workouts/           -    Scripts giving WaveLab features a workout
%
%     /BestOrthoBasis   -    Best Basis workout
%     /MatchingPursuit  -    Matching Pursuit workout
%     /MultiFractal     -    Continuous Wavelet Transform workout
%     /Toons            -    Cartoon Guide to Wavelets
%
% Other
%
%   README              -    General information blurb
%
