% READING -- Sources for further reading about wavelets
%
% Books -- in alphabetical order
%
%  C. Chui. An Introduction to Wavelets. Academic Press, 1992.
%
%  I. Daubechies. Ten Lectures on Wavelets. SIAM, 1992.
%
%  M. Frazier, B. Jawerth, and G. Weiss. Littlewood-Paley Theory
%            and Decompositions of Functional Spaces. AMS, 1992.
%
%  Y. Meyer. Wavelets: Algorithms and Applications. SIAM, 1993.
%
%  Y. Meyer. Wavelets and Operators. Cambridge University Press, 1993.
%
%  M.V. Wickherhauser. Adapted Wavelet Analysis. AK Peters, 1994.
%
% Articles --
%
%\ref Andersson, L., N. Hall, B. Jawerth and G. Peters,
%Wavelets on closed subsets of the real line,
%in {\sl Recent Advances in Wavelet Analysis}, L. Schumaker and G. Webb (eds.), 
%Academic Press, Boston, 1993, 1--61.
%
%\bibitem{ABMD}
%Antonini, M., Barlaud, M., Mathieu, P. and Daubechies, I. (1991)
%Image coding using wavelet transforms,
%{\it IEEE Proc. Acoustics, Speech, Signal Processing}, to appear.
%
%\bibitem{BCR}
%Beylkin, G., Coifman, R. and Rokhlin, V. (1991) 
%Fast wavelet transforms and numerical algorithms.
%{\it Comm. Pure Appl. Math.} {\bf 43}, 141-183.
%
%\bibitem{}
%Cavaretta, A.S., Dahmen, W., and Micchelli, C.A. (1991)
%Stationary Subdivision. {\it Mem. Amer. Math. Soc.} {\bf 453}
%
%\bibitem{CDF}
%Cohen, A., Daubechies, I., Feauveau, J.C. (1990).
%Biorthogonal bases of compactly supported wavelets.  
%To appear, {\it Comm. Pure Appl. Math.}
%
%\ref Cohen, A., I. Daubechies, B. Jawerth and P. Vial,
%Multiresolution analysis, wavelets, and fast algorithms on an
%interval, 
%{\it Comptes Rendus Acad. Sci. Paris} (A) {\bf 316} (1992), 417-421.
%
%\ref Coifman, R.R. and Y. Meyer,
%Remarques sur l'analyse de Fourier \`a fen\^etre,
%{\it Comptes Rendus Acad. Sci. Paris} (A) {\bf 312} (1991), 259-261.
% 
%\ref Coifman, R.R. and M.V. Wickerhauser, Entropy-based
%algorithms for best-basis selection,
%{\it IEEE Trans. Info. Thry.} {\bf 38} (1992) 713-718.
%
%\bibitem{DaubSem} Daubechies, I. (1988).  Orthonormal bases of compactly
%supported wavelets.  {\em Comunications in Pure and Applied Mathematics},
%{\bf 41}, 909--996.
%
%\bibitem{DD1}
%Deslauriers, G. and Dubuc, S. (1989)
%Symmetric iterative interpolation processes.
%{\it Constructive Approximation}, {\bf 5}, 49-68.
%
%rlab{DL}
%\ref DeVore, R.A. and B.J. Lucier,
%Fast wavelet techniques for near-optimal
%image processing,
%{\it Proc. IEEE Mil. Commun. Conf.} Oct. 1992. IEEE Communications
%Society, NY, 1992.
%
%\bibitem{DeSurf}
%DeVore, R.A., Jawerth, B. and Lucier, B.J. (1992)
%Surface Compression. 
%{\it Computer-Aided Geometric Design.} {\bf 9}, 3, 219--239.
%
%\bibitem{DeImage}
%DeVore, R.A., Jawerth, B., and Lucier, B.J. (1992)
%Image compression through wavelet transform coding.
%
%\bibitem{D92}
%Donoho, D.L. (1992)
%De-Noising by Soft Thresholding. 
%To appear, {\it IEEE Trans. Info. Thry}.
%
%\bibitem{DJa} Donoho, D. L. and Johnstone, I. M (1992a). Minimax Estimation
%via Wavelet Shrinkage. Technical Report, Department of Statistics,
%Stanford University.
%
%\bibitem{DJb} Donoho, D.L. and Johnstone, I.M. (1992b)
%Adapting to unknown smoothness via wavelet shrinkage. 
%Technical Report, Department of Statistics,
%Stanford University.
%
%\bibitem{DJc} Donoho, D. L. and Johnstone, I. M (1992c). Ideal Spatial
%Adaptation via Wavelet Shrinkage. To appear, {\it Biometrika}.
%
%\bibitem{DJKP93} Donoho, D. L. and Johnstone, I. M, Kerkyacharian,
%G. and Picard, D. (1993) Density Estimation via
%Wavelet Shrinkage.Technical Report, Department of Statistics,
%Stanford University.
%
%\bibitem{DD2}
%Dubuc, S. (1986) Interpolation through an iterative scheme.
%{\it J. Math. Anal. and Appl.} {\bf 114} 185-204.
%
%\ref Froment, J. and S. Mallat, Second-generation
%compact image coding with wavelets,
%in {\it Wavelets: a Tutorial in Theory and Applications},
%C. Chui (ed.), Academic, Boston, 1992, 655-678.
%
%\ref Gao, Hong-ye, Choice of Thresholds for
%wavelet estimation of the log-spectrum.
%Tech. Rept., Statistics, Stanford, 1993.
%
%\ref Gao, Hong-ye, Spectral Density Estimation via
%Wavelet Shrinkage.
%Tech. Rept., Statistics, Stanford, 1993.
%
%\item{JKP} 
%\ref Johnstone, I.M., Kerkyacharian, G. and Picard, D.
%Estimation d'une densit\'e de probabilit\'e par
%m\'ethode d'ondelettes. {\it Comptes Rendus Acad.\
%Sciences Paris\/} (A) {\bf 315} (1992), 211-216.
%
%\item{KP} 
%\ref Kerkyacharian, G. and Picard, D. 
%Density estimation in Besov Spaces. {\it Statistics
%and Probability Letters} {\bf 13} (1992),15-24
%
%\ref Jian Lu, Yansun Xu, J.B. Weaver, and D.M. Healy, Jr.
%Noise reduction by constrained reconstructions in the wavelet-transform
%domain. Department of Mathematics, Dartmouth University, 1992. 
%
%\bibitem{Mallat} Mallat, S. (1989).  Multiresolution approximation and
%wavelet orthonormal bases of $L^2(\R)$.  {\em Trans.\ Amer.\ Mat.\ Soc.},
%{\bf 315}, 69--87.
%
%\ref Mallat, S. \& Hwang, W.L.
%Singularity detection and processing with wavelets.
%{\it IEEE Trans. Info Theory.} {\bf 38} (1992), 617-643. 
%
%\ref Moulin, P., Wavelets as a regularization technique
%for spectraldensity estimation.
%{\it Time-Frequency and Time Scale Analysis},
%IEEE, New York, 1992, 73-76.
%
    
    
%   
% Part of WaveLab Version 802
% Built Sunday, October 3, 1999 8:52:27 AM
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail wavelab@stat.stanford.edu
%   
    
