% BBWorkout:Contents -- BestBasis Workout
%
% The aim of this directory is to give the Best-Basis
% Routines a work-out in some systematic way.
%
% To this end, a variety of synthetic and real signals is
% analyzed using Best-Basis in both Cosine Packet and Wavelet
% Packet Dictionaries.
%
% We also illustrate illustrations of time-frequency tilings 
% and tree <--> basis correspondence
%
% BBWork01 -- Illustrate Time-Frequency Tiling  by Wavelet Packets
% BBWork02 -- Illustrate Time-Frequency Tiling by Cosine Packets
% BBWork03 -- Ilustrate Tiling <--> Tree Correspondence, WP Dict;
% BBWork04 -- Ilustrate Tiling <--> Tree Correspondence,CP Dict;
% BBWork11 -- Illustrate WP Methodology on LoSine, SlowChirp
% BBWork12 -- Illustrate CP Analysis Techniques on SlowChirp
% BBWork21 -- Wavelet Packet Tour on Four Basic Signals
% BBWork22 -- Wavelet Packet Tour on Four Complex Signals
% BBWork31 -- Cosine Packet Tour on Four Basic Signals
% BBWork32 -- Cosine Packet Tour on Four Complex Signals
% BBWork41 -- Illustrate CP/WP Analysis Techniques on Seismic
% BBWork42 -- Illustrate CP/WP Analysis Techniques on Warble
% BBWork61 -- Compression Numbers on Four Basic Signals
%
% PRINTING Note
%   A key feature of these scripts is their ability to print copies
%   of all the plots they generate.  The variable PRINTING controls this
%   If PRINTING==1, postscript files will be generated for all plots
%   made by running a script. if PRINTING==0, no postscript files will
%   be generated.  Set this variable before you run any script.
%
    
    
%   
% Part of WaveLab Version 802
% Built Sunday, October 3, 1999 8:52:27 AM
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail wavelab@stat.stanford.edu
%   
    
