function sparse = KeepBiggest(dense,N)
% KeepBiggest -- Kill (set to zero) all but N biggest elements
%  Usage
%    sparse = KeepBiggest(dense,N)
%
	ordered   = reverse(sort(abs(dense(:))));
	threshold = ordered(N);
	sparse    = dense .* (abs(dense) >= threshold);
    
    
%   
% Part of WaveLab Version 802
% Built Sunday, October 3, 1999 8:52:27 AM
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail wavelab@stat.stanford.edu
%   
    
