% toon0312 -- Analysis of Sinusoid with S8 Wavelet
%
	n       = 4096;
	t       = (1:n)./n;
	Sine 	= sin(2*pi*t);
%
	qmf = MakeONFilter('Coiflet',2);
	wc  = FWT_PO(Sine,1,qmf);

%
	subplot(221); plot(t,Sine);
	title('Sine Wave');
%
	subplot(222); PlotWaveCoeff(wc,1,.5);
	title('DWT of Sine')
%
	subplot(223); 
	for j=4:11,
		nrmr(j) = norm(wc(dyad(j)));
	end
	semilogy(4:11,nrmr(4:11))
	title('Levelwise norm of DWT Coefficients')
	axis([0 11 10^(-6) 10^1 ])
%
	subplot(224); 
	ordcoef = reverse(sort(abs(wc)));
	semilogy(ordcoef)
	title('Ordered DWT Coefficients')
	axis([0 300 10^(-6) 10^1 ])
    
    
%   
% Part of WaveLab Version 802
% Built Sunday, October 3, 1999 8:52:27 AM
% This is Copyrighted Material
% For Copying permissions see COPYING.m
% Comments? e-mail wavelab@stat.stanford.edu
%   
    
