function [Xc,Yc,meanX,meanY] = centerXY(X,Y)


%CENTERXY.M
%mean centering of two matrices,X and Y 
%
%input:		X,Y - data 
%
%output: 	Xc,Yc - centered data
%		meanX,meanY - mean vectors of original data
%
%
% See: crossval, plsr

% $$$ ## This file is part of SciCraft.
% $$$ ##
% $$$ ## SciCraft is free software; you can redistribute it and/or modify it
% $$$ ## under the terms of the GNU General Public License as published by
% $$$ ## the Free Software Foundation; either version 2, or (at your option)
% $$$ ## any later version.
% $$$ ##
% $$$ ## SciCraft is distributed in the hope that it will be useful, but
% $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
% $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% $$$ ## General Public License for more details.
% $$$ ##
% $$$ ## You should have received a copy of the GNU General Public License
% $$$ ## along with SciCraft; see the file COPYING.  If not, write to the Free
% $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
% $$$ ## 02111-1307, USA.
% $$$ 
% $$$ ## -*- texinfo -*-

[m,n] = size(X);
[l,k] = size(Y);
if m~=l
  warning('X and Y does not have equal number of samples')
end

meanX = mean(X);
meanY = mean(Y);
Xc = X-ones(m,1)*meanX;
Yc = Y-ones(l,1)*meanY;
  
