function U = explv(X,T,P)

% $$$ ## This file is part of SciCraft.
% $$$ ##
% $$$ ## SciCraft is free software; you can redistribute it and/or modify it
% $$$ ## under the terms of the GNU General Public License as published by
% $$$ ## the Free Software Foundation; either version 2, or (at your option)
% $$$ ## any later version.
% $$$ ##
% $$$ ## SciCraft is distributed in the hope that it will be useful, but
% $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
% $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% $$$ ## General Public License for more details.
% $$$ ##
% $$$ ## You should have received a copy of the GNU General Public License
% $$$ ## along with SciCraft; see the file COPYING.  If not, write to the Free
% $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
% $$$ ## 02111-1307, USA.
% $$$ 
% $$$ ## -*- texinfo -*-
% $$$ ##U = explv(X,T,P)
% $$$ ##X = raw data matrix (before subtraction of mean)
% $$$ ##T = score matrix
% $$$ ##P = transposed loadings matrix.

[n,m] = size(X);
[n,comp] = size(T);

E0 = X - ones(n,1)*mean(X);
s0 = sum(sum(E0.^2));

for i = 1:comp
 E = E0-T(:,1:i)*P(1:i,:);
 s(i) = sum(sum(E.^2)); 
end;

U = (1-(s/s0))*100;

