interpretpls <- function(X,Y,n,ModifiedTtest){
library(vegan)
library(MASS)

#Compute W matrix
calibrate.interpretpls <- function(X,Y){
 dY <- dim(Y)
 dX <- dim(X)
 W <- matrix(0,dX[2],dY[2])
 
 for (a in 1:dY[2]){
  usv <- svd(t(X)%*%Y[,a])
  W[,a] <- usv$u*(usv$d^2)
 }
return(W) 
}


crossvalidate.interpretpls <- function(W,X,Y,ModifiedTtest,penalty){


 dY <- dim(Y)
 dX <- dim(X)
 t2 <- vector("numeric",length=dX[2])
 Wjk <- array(data =NA,dim=c(dX[2],dY[2],dX[1]))
 
 for (i in 1:dX[1]){ 
  Wi <- calibrate.interpretpls(X[-i,],Y[-i,])
  rot <- procrustes(W,Wi)
  Wjk[,,i] <- as.matrix(rot$Yrot)
 }

 
 if (ModifiedTtest ==1){
  print("full sweed style")
  t2 <- sqrt(apply(W^2,1,sum)) 
 } 
 
 
 if (ModifiedTtest !=0){
   cvmx <- array(data = NA,dim=c(dX[2],dY[2],dY[2]))
       
   for (i in 1:dX[2]){
    cvmx[i,,]<-cov(scale(t(as.matrix(Wjk[i,,])), center = TRUE,scale=F))
   } 
           
       
   if (is.null(penalty)) {
    penalty <- apply(cvmx,c(2,3),median)
    print(penalty)
   }
       
   
   for (i in 1:dX[2]){
    cvmx[i,,] <- (1-ModifiedTtest)*(cvmx[i,,]) + ModifiedTtest*penalty
   }
  }
    
  
  if (ModifiedTtest < 1){
  
  
   hotell <- function(x,mx,ValidationSegments){
       x <- as.matrix(x)
       d <- mx
       tsq <- (ValidationSegments/(ValidationSegments-1))*(t(d)%*%ginv(x)%*%(d))
     }
     
     for (i in 1:dX[2]) {
      t2[i] <-hotell(cvmx[i,,],W[i,],dX[1])
     }
     
     t2 <- as.matrix(t2)
  }
 
 t2 <- list(t2 =t2,penalty=penalty)
 return(t2)
}


#Resampling sweede style
resampleInterpretpls <- function(W,Treal,X,Y,n,ModifiedTtest,penalty){

 dY <- dim(Y)
 dX <- dim(X)

 Tpert <- array(data =NA,dim=c(dX[2],n))
 
 
 for (i in 1:n){
  Yind <- sample(1:dY[1])
  Y <- Y[Yind,]
  Y <- as.matrix(Y)
  Wpert <- calibrate.interpretpls(X,Y)
  ValRes <- crossvalidate.interpretpls(Wpert,X,Y,ModifiedTtest,penalty)
  Tpert[,i] <- ValRes$t2
 }
 
 #compute distances for real model 

 qv <- vector("numeric",dX[2])

 print("Computing q values")
 #compute false discovery rates for each gene

 for (i in 1:dX[2]){
  n_better <- vector("numeric",n)
  for (j in 1:n){
    n_better[j] <- sum(Tpert[,j] >= Treal[i])
  }    
  qv[i] <- median(n_better)/sum(Treal>=Treal[i])
 }
 return(list(qv=qv,Tpert=Tpert))
}

 ModifiedTtest<- ModifiedTtest/100
 Y <- as.matrix(Y)
 X <- scale(X,scale=FALSE)
 Y <- scale(Y,scale=FALSE)
 W <- calibrate.interpretpls(X,Y)
 print("calibrated")
 t2 <- crossvalidate.interpretpls(W,X,Y,ModifiedTtest,penalty=NULL)
 print("Validated")
 penalty <- t2$penalty
 t2 <- t2$t2
 print("Starting resampling")
 qv <- resampleInterpretpls(W,t2,X,Y,n,ModifiedTtest,penalty=penalty)
 print("Resampling finished")
 Tpert = qv$Tpert
 qv=qv$qv
 return(list(T2 = t2,q=qv,W=W,Tpert=Tpert))
}



