function Bpval = jackknifeB(full_model,sub_models,aOpt,pls2)
% $$$ ## -*- texinfo -*-
% $$$ ##JACKKNIFEB.M
% $$$ ##function returns confidence estimates from jackknifing on the 
% $$$ ##regression params, b, from plsr sub models
% $$$ ##
% $$$ ##input:		full_model (B-(nXvar,nYvar,aMax))
% $$$ ##		sub_models (B-(nXvar,nYvar,aMax,nSegments))
% $$$ ##		aOpt - optimal number of factors
% $$$ ##
% $$$ ##output:	Ppval - pvalues for each x-variable
% $$$ ##
% $$$ ##example:	Bpval = jackknifeB(full_model,sub_models)
% $$$ ##
% $$$ ##
% $$$ ## This file is part of SciCraft.
% $$$ ##
% $$$ ## SciCraft is free software; you can redistribute it and/or modify it
% $$$ ## under the terms of the GNU General Public License as published by
% $$$ ## the Free Software Foundation; either version 2, or (at your option)
% $$$ ## any later version.
% $$$ ##
% $$$ ## SciCraft is distributed in the hope that it will be useful, but
% $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
% $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% $$$ ## General Public License for more details.
% $$$ ##
% $$$ ## You should have received a copy of the GNU General Public License
% $$$ ## along with SciCraft; see the file COPYING.  If not, write to the Free
% $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
% $$$ ## 02111-1307, USA.
% $$$ 
% $$$ ## -*- texinfo -*-
% $$$ ##  warning(num2str(pls2)) 
disp('here goes');
sub_models.B;
[nXvariables,nYvariables,aMax,nSegments] = size(sub_models.B);
df = nSegments-1;
pls2;
BCal = full_model.B(:,:);
if length(size(sub_models.B))==4 & pls2
	Bsub = squeeze(sub_models.B(:,:,aOpt,:));
	BCal = full_model.B(:,:,aOpt);
else

Bsub =reshape(sub_models.B(:,:,aOpt,:),nXvariables,nSegments);
BCal = full_model.B(:,:,aOpt);
end

	
varModels = zeros(size(BCal));
for i = 1:nSegments
  if  pls2 == 0
    varModels = varModels + (BCal - Bsub(:,i)).^2;
  else
    %warning(num2str(pls2))
    varModels = varModels + (BCal - Bsub(:,:,i)).^2;
  end %if
end %for
stdModels = sqrt(varModels*(df-1)/df);
if any(stdModels(:)==0)
  stdModels(find(stdModels==0)) = 900000000000000000000000;
  %If some input variables are constant the jackknifing will give
  %zero perturbation. This forces the constant variables to be insignificant
end

tStats = BCal./stdModels;
Bpval = 2*min(1-t_cdf(tStats,df),t_cdf(tStats,df)); %check if 2*.... is correct?

	    
