function [tt,pp,E,pr] = oldpca(X,comp)
% [tt,pp,E,pr]= oldpca(X,comp);
% comp is the number of principal components
% Here the NIPALS algorithm is used
% The mean vector is subtracted
% pr = percentage explained variance 
% $$$ ## This is free software; you can redistribute it and/or modify it
% $$$ ## under the terms of the GNU General Public License as published by
% $$$ ## the Free Software Foundation; either version 2, or (at your option)
% $$$ ## any later version.
% $$$ ##
% $$$ ## Octave is distributed in the hope that it will be useful, but
% $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
% $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% $$$ ## General Public License for more details.
% $$$ ##
% $$$ ## You should have received a copy of the GNU General Public License
% $$$ ## along with Octave; see the file COPYING.  If not, write to the Free
% $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
% $$$ ## 02111-1307, USA.
% $$$ 
% $$$ ## -*- texinfo -*-


X0 = X;
m = mean(X);
[a,b] = size(X);
X =  X - ones(a,1)*m;

% Centering the matrix
% the first approximation to t is the first
% column in X

stop = 3;
for i = 1:comp
  av = std(X);
  [av2,indx]=sort(av);
  t0 = X(:,indx(b));
  while stop > 1,
    p0 = t0'*X;
    p1 = p0/norm(p0);
    t1 = X*p1';
    if norm(t1-t0) < 0.00005,
      tt(:,i) = t1;
      pp(i,:) = p1;
      stop = 0;
    end;
    t0 = t1;
  end;
  stop = 3;
  X = X - t1*p1;
end;
% saving the residual matrix after the last iteration:
E = X;
pr = (explv(X0,tt,pp))';











