function [sub_models] = rotateSub(sub_models,full_model)

% $$$ ## -*- texinfo -*-
% $$$ ##ROTATESUB.M
% $$$ ##Function returns the sub_models rotated to the full calibration model.
% $$$ ##The rotation is decided by procrustes rotation of the x-variables weights, W
% $$$ ##
% $$$ ##input:		sub_models - 
% $$$ ##		full_model -
% $$$ ##
% $$$ ##output:	sub_models - rotated 
% $$$ ##
% $$$ ##
% $$$ ##

% $$$ ## Rotate with all components or with 1:aOpt ??
% $$$ ## -- This function rotates based upon aMax --
%
% $$$ ## This file is part of SciCraft.
% $$$ ##
% $$$ ## SciCraft is free software; you can redistribute it and/or modify it
% $$$ ## under the terms of the GNU General Public License as published by
% $$$ ## the Free Software Foundation; either version 2, or (at your option)
% $$$ ## any later version.
% $$$ ##
% $$$ ## SciCraft is distributed in the hope that it will be useful, but
% $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
% $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% $$$ ## General Public License for more details.
% $$$ ##
% $$$ ## You should have received a copy of the GNU General Public License
% $$$ ## along with SciCraft; see the file COPYING.  If not, write to the Free
% $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
% $$$ ## 02111-1307, USA.
% $$$ 
nSegments = size(sub_models.W,3);

for k = 1:nSegments
	[sub_models.T(:,:,k),C] = procrust(full_model.T,sub_models.T(:,:,k));
	sub_models.P(:,:,k) =  sub_models.P(:,:,k)*C';
	sub_models.Q(:,:,k) = sub_models.Q(:,:,k)*C';
	sub_models.W(:,:,k) = sub_models.W(:,:,k)*C';
end	
