affy_tools <-function(FileNames,Path,Normalisation,Filtering="Remove
all absent genes"){

#Last update: 20/3-06
# $$$ ## This file is part of SciCraft.
# $$$ ##
# $$$ ## SciCraft is free software; you can redistribute it and/or modify it
# $$$ ## under the terms of the GNU General Public License as published by
# $$$ ## the Free Software Foundation; either version 2, or (at your option)
# $$$ ## any later version.
# $$$ ##
# $$$ ## SciCraft is distributed in the hope that it will be useful, but
# $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
# $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# $$$ ## General Public License for more details.
# $$$ ##
# $$$ ## You should have received a copy of the GNU General Public License
# $$$ ## along with R; see the file COPYING.  If not, write to the Free
# $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# $$$ ## 02111-1307, USA.
# $$$ 
# $$$ ## -*- texinfo -*-
#
#  
library(affy)
library(gcrma)

setwd(Path)

D <- ReadAffy(filenames=FileNames)


if (Normalisation=="MAS.5"){
 D2 <- mas5(D)
 }

if (Normalisation=="RMA"){
 D2 <- rma(D)
 }
 
if (Normalisation=="GCRMA"){
 D2 <- gcrma(D)
 }

Dcalls <- mas5calls(D)
expr <- D2@exprs
calls <-Dcalls@exprs
s_exprs<-D2@se.exprs

ID <-attributes(D2@exprs)
ID<- ID$dimnames[[1]]

if (Filtering== "Remove all absent genes"){
 ind <- calls == "A"
 A <- rowSums(ind)
 ind <- A < dim(expr)[2]
 expr <- expr[ind,]
 D2 <- D2[ind,]
 s_exprs <- s_exprs[ind,]
 calls <- calls[ind,]
 ID <- ID[ind]
}

if (Filtering== "Remove all absent or marginal genes"){
 ind <- (calls == "A" | calls=="M")
 A <- rowSums(ind)
 ind <- A < dim(expr)[2]
 expr <- expr[ind,]
 D2 <-D2[ind,]
 s_exprs <- s_exprs[ind,]
 calls <- calls[ind,]
 ID <- ID[ind]
}


return(list(R_obj=D2,Expr = expr,calls = calls, s_expr = s_exprs,genID=ID))
}
