gprload <- function(Files,Path,SpotFile){

#Last update: 20/3-06
# $$$ ## This file is part of SciCraft.
# $$$ ##
# $$$ ## SciCraft is free software; you can redistribute it and/or modify it
# $$$ ## under the terms of the GNU General Public License as published by
# $$$ ## the Free Software Foundation; either version 2, or (at your option)
# $$$ ## any later version.
# $$$ ##
# $$$ ## SciCraft is distributed in the hope that it will be useful, but
# $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
# $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# $$$ ## General Public License for more details.
# $$$ ##
# $$$ ## You should have received a copy of the GNU General Public License
# $$$ ## along with R; see the file COPYING.  If not, write to the Free
# $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# $$$ ## 02111-1307, USA.
# $$$ 
# $$$ ## -*- texinfo -*-
#
#  

  
library(limma)
setwd(Path)
#files<-dir(pattern="*.gpr")

bt <- Files
Files <- vector(mode="character",length=length(bt))
for (i in 1:length(bt)){
 Files[i] <- bt[[i]][1]
}

for (fil in Files){
 #Load one array data
  #Read data as limma boject
   f <- function(x){ as.numeric(x$Flags > -99)}
   RG <- read.maimages (fil, source="genepix",wt.fun=f)
   RG$weights <- matrix(1,dim(RG)[1],dim(RG)[2])
  #Read all the data in the file
   TT <-readLines(con=fil,100)
   
   #for each potential header line count number of characters
   
   lines2skip <- 0
   line_index<- 20
   
   while (lines2skip==0){
    line_index <- line_index+1
    test_stat <- nchar(TT[line_index])
     if (test_stat > 500){
	lines2skip <- line_index-1	
        }
   }
   
   TT <-read.table(fil,header=TRUE,sep="\t",skip=lines2skip,as.is=T)
 
 #Data loaded

 #Organize the data 

  #Set up printer and spot types information 
   RG$printer <- getLayout(RG$genes)
   types <- readSpotTypes(file=SpotFile)
   RG$genes$Status <- controlStatus(types, RG)
  #End information setup

  
 #Data organized 

 #Take care of data with diagnostic value
  TT <- data.frame(ID=TT$ID,Diameter=TT$Dia,R_SD=TT$F635.SD,Rb_SD=TT$B635.SD,Rsat=TT$F635...Sat.,G_SD=TT$F532.SD,Gb_SD=TT$B532.SD,Gsat=TT$F532...Sat.,FGpixels=TT$F.Pixels,BGpixels=TT$B.Pixels,Flags=TT$Flags)
  #May in some cases add 'Circularity=TT$Circularity' to the end of this list, but this parameter is not present in all genepix files.
  #May also cause problems for people with the wrong wavelengths in the GPR files
  
 #End keeping data with diagnostic value
 
 
 #Merge Arrays into one object 
 
  if (fil==Files[1]){
    mergeRG <- RG
    mergeTT <- TT}
  else{
    mergeRG <-cbind(mergeRG,RG)
    mergeTT$Diameter <- cbind(mergeTT$Diameter,TT$Diameter)
    mergeTT$R_SD<- cbind(mergeTT$R_SD,TT$R_SD)
    mergeTT$Rb_SD <- cbind(mergeTT$Rb_SD,TT$Rb_SD)
    mergeTT$Rsat <- cbind(mergeTT$Rsat,TT$Rsat)
    mergeTT$G_SD <- cbind(mergeTT$G_SD,TT$G_SD)
    mergeTT$Gb_SD <- cbind(mergeTT$Gb_SD,TT$Gb_SD)
    mergeTT$Gsat <- cbind(mergeTT$Gsat,TT$Gsat)
    mergeTT$FGpixels <- cbind(mergeTT$FGpixels,TT$FGpixels)
    mergeTT$BGpixels <- cbind(mergeTT$BGpixels,TT$BGpixels)
    mergeTT$Flags <- cbind(mergeTT$Flags,TT$Flags)
    
  }

 
} #end for all files
 
RG <- mergeRG
TT <- mergeTT

rm(mergeRG)
rm(mergeTT)

return(list(RG=RG,FilterInfo=TT))
}    
