ArrayImage<-function(object,view= "Red background (RG)", Array=1) {

#Last update: 20/3-06
# $$$ ## This file is part of SciCraft.
# $$$ ##
# $$$ ## SciCraft is free software; you can redistribute it and/or modify it
# $$$ ## under the terms of the GNU General Public License as published by
# $$$ ## the Free Software Foundation; either version 2, or (at your option)
# $$$ ## any later version.
# $$$ ##
# $$$ ## SciCraft is distributed in the hope that it will be useful, but
# $$$ ## WITHOUT ANY WARRANTY; without even the implied warranty of
# $$$ ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# $$$ ## General Public License for more details.
# $$$ ##
# $$$ ## You should have received a copy of the GNU General Public License
# $$$ ## along with R; see the file COPYING.  If not, write to the Free
# $$$ ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA
# $$$ ## 02111-1307, USA.
# $$$ 
# $$$ ## -*- texinfo -*-
#
#  
  
library(limma)

if (view == "Red background (RG)") {
 imdat <- object$Rb[,Array]
 imdat<-log2(imdat)
}

if (view == "Green background (RG)") {
 imdat <- object$Gb[,Array]
 imdat<-log2(imdat)
}

if (view == "Red signal (RG)") {
 imdat <- object$R[,Array]
 imdat<-log2(imdat)
}

if (view == "Green signal (RG)") {
 imdat <- object$G[,Array]
 imdat<-log2(imdat)
}


if (view == "Intensity A (MA)") {
 imdat <- object$A[,Array]
}

if (view == "Ratio M (MA)") {
 imdat <- object$M[,Array]
}

if (view=="Block"){
 imdat<- object$genes$Block
}

offset<-function(object){

 offset_x <- ((object$gene$Block-1) %% object$printer$ngrid.c)*object$printer$nspot.c 
 offset_y <- ((object$gene$Block-1) %/% object$printer$ngrid.c)*object$printer$nspot.r 
 
 x <- object$gene$Column + offset_x 
 y <- object$gene$Row + offset_y

 index <- (y-1)*object$printer$nspot.c*object$printer$ngrid.c+x

 

 index
}


index<-offset(object)
im <-vector(mode="numeric",length=(object$printer$ngrid.r * object$printer$nspot.r * object$printer$ngrid.c * object$printer$nspot.c))
im[index]<-imdat

#im<-t(im)

im <- matrix(im,nrow = object$printer$ngrid.r * object$printer$nspot.r, ncol =  object$printer$ngrid.c * object$printer$nspot.c,byrow=TRUE)


object$weights[index,]<-object$weights
object$genes[index,]<-object$genes


if (any(names(object) == "Gb")){

object$R[index,]<-object$R
object$G[index,]<-object$G
object$Rb[index,]<-object$Rb
object$Gb[index,]<-object$Gb
}

if (any(names(object)=="A")){
object$M[index,]<-object$M
object$A[index,]<-object$A
}


#SortedAndImage <- list(image=im,sortedObject=object)

return(list(image=im,object=object))
}
